
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #116

Player freezes when playing some AAC streams

May 29, 2012 15:01 - Andrea Pinazzi

Status: Closed Start date: May 29, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/aac Estimated time: 0.00 hour

Target version: 3.2.4   

Affects version: 3.2.3   

Description

Hi all, I've been experiencing this problem since some version and I'm currently using 3.2.3. (official gentoo ebuild)

The problem is that often (not everytime although) I open a stream link (shoutcast and icecast webradios) and the player freezes

eventually locking the UI, the only solution is "kill -9".

Opening the same exact stream with totem or mplayer results in fine listening.

I've looked for some log enabling option in preferences but wasn't able to find one, so, please, if you need more informations than let

me know.

History

#1 - May 29, 2012 23:44 - John Lindgren

- Subject changed from sloppy streaming support to Player freezes when playing some streams

Give a link to one of the streams.

#2 - May 29, 2012 23:47 - John Lindgren

Also, a backtrace.

#3 - May 30, 2012 10:41 - Andrea Pinazzi

this is the .pls I'm which is the most prone to failing

$ cat Documenti/Radio/ERR-Loudcaster.pls 

[playlist]

NumberOfEntries=1

File1=http://icecast01.loudcaster.com/483.32.aac

 

how could I provide a backtrace?

#4 - June 04, 2012 01:27 - John Lindgren

- Subject changed from Player freezes when playing some streams to Player freezes when playing some AAC streams

- Category set to plugins/aac

- Status changed from New to Closed
- Target version set to 3.2.4

- % Done changed from 0 to 100

- Affects version deleted (3.2.1, 3.2.2)

I was able to reproduce with that stream and fix:

https://github.com/audacious-media-player/audacious-plugins/commit/7e6859d3654344a9dfb4406988c508556426a73a
